0

after having upgraded from EE5.4.2 to EE6.0.6 I get a warning in the frontend:

Warning Class "ExpressionEngine\Addons\ReadingTime\Reading_time" not found ee/ExpressionEngine/Core/Autoloader.php, line 91

Severity: E_WARNING

The concerned plugin is a real small and easy plugin with only some lines of code (the Reading Time from EllisLab. I don't understand the error - does it tell me that the plugin is old/deprecated somehow or is there any other problem?

Any hint would help me further, thanks in advance!

1

You can download the ReadingTime addon from the EllisLab Github. I think it disappeared from the pre-installed addons for EE6 as part of the change over from EllisLab ownership to opensource.

I can confirm that it works fine in EE6 - you just need to add it like any other third-party add-on.

HTH

1
  • 1
    The problem was that the namespace has changed (though the pi-file is exactly the same). Uninstalled and uploaded the most recent addon.setup.php, installed via CP and it worked. Thanks for your mentioning that it works for you with EE6, this motivated me to investigate further -> +1 :-)
    – BNetz
    Jun 25 at 18:27

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.